package com.docus.server.bl.service.impl;

import com.docus.server.bl.infrastructure.mapper.BlDeptMapper;
import com.docus.server.bl.service.IBlService;
import com.docus.server.constants.DSKeyConstants;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component(DSKeyConstants.BL_DS_KEY + "ServiceImpl")
@AllArgsConstructor
public class BlServiceImpl implements IBlService {

    private final BlDeptMapper blDeptMapper;

    @Override
    public List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize) {
        return blDeptMapper.page(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<Map<String, Object>> BatchForJZH(List<String> jzhs) {
        return blDeptMapper.BatchForJZH(jzhs);
    }

    @Override
    public List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas) {
        return blDeptMapper.BatchForJZHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas) {
        return blDeptMapper.BatchForZYHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> datas) {
        return blDeptMapper.BatchForEXAMTIME(datas);
    }

}
